JBossOIL (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.JBossOIL interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface JBossOIL

All Superinterfaces:
  JBossIL, JBossInvocationLayer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface JBossOIL

extends JBossIL

Represents a JBoss OIL Invocation Layer

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getBindAddress()`
`java.lang.String` | `getClientSocketFactory()`
`boolean` | `getEnableTcpNoDelay()`
`int` | `getReadTimeout()`
`int` | `getServerBindPort()`
`java.lang.String` | `getServerSocketFactory()`
`boolean` | `hasBindAddress()`
`boolean` | `hasClientSocketFactory()`
`boolean` | `hasEnableTcpNoDelay()`
`boolean` | `hasReadTimeout()`
`boolean` | `hasServerBindPort()`
`boolean` | `hasServerSocketFactory()`
`void` | `setBindAddress(java.lang.String name)`
`void` | `setClientSocketFactory(java.lang.String client)`
`void` | `setEnableTcpNoDelay(boolean delay)`
`void` | `setReadTimeout(int timeout)`
`void` | `setServerBindPort(int port)`
`void` | `setServerSocketFactory(java.lang.String server)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.jboss.JBossIL
`getPingPeriod, getStateString, getXAConnectionFactoryJNDIRef, hasPingPeriod, hasStateString, hasXAConnectionFactoryJNDIRef, setPingPeriod, setStateString, setXAConnectionFactoryJNDIRef`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.jboss.JBossInvocationLayer
`getConnectionFactoryJNDIRef, getName, getParent, hasConnectionFactoryJNDIRef, hasName, hasParent, setConnectionFactoryJNDIRef, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getBindAddress

    java.lang.String getBindAddress()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBindAddress

    void setBindAddress(java.lang.String name)

### hasBindAddress

    boolean hasBindAddress()

### getServerSocketFactory

    java.lang.String getServerSocketFactory()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerSocketFactory

    void setServerSocketFactory(java.lang.String server)

### hasServerSocketFactory

    boolean hasServerSocketFactory()

### getClientSocketFactory

    java.lang.String getClientSocketFactory()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClientSocketFactory

    void setClientSocketFactory(java.lang.String client)

### hasClientSocketFactory

    boolean hasClientSocketFactory()

### getServerBindPort

    int getServerBindPort()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerBindPort

    void setServerBindPort(int port)

### hasServerBindPort

    boolean hasServerBindPort()

### getReadTimeout

    int getReadTimeout()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReadTimeout

    void setReadTimeout(int timeout)

### hasReadTimeout

    boolean hasReadTimeout()

### getEnableTcpNoDelay

    boolean getEnableTcpNoDelay()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnableTcpNoDelay

    void setEnableTcpNoDelay(boolean delay)

### hasEnableTcpNoDelay

    boolean hasEnableTcpNoDelay()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD